public class Armstrong{
	public boolean isArmstrong(int n){
		String toString = String.valueOf(n);
		int sum = 0;
		for(int i =0;i<toString.length();i++){
			sum = sum + (int)Math.pow(Integer.parseInt(toString.charAt(i)+""),toString.length());
		}
		return sum == n;
	}
	// Interation method
	public long getFactorial(int n){
		long factorial = 1;
		for(int i = n;i>0;i--){
			factorial *= i;
		}
		return factorial;
	}
	// Recursive method
	public long getFactorialRec(int n){
		if(n == 0 || n == 1)
			return 1;
		else return n * getFactorialRec(n-1);
	}
	public int sumOfDiagonal(int[][] matrix){
		int sum = 0;
		for(int i = 0; i<matrix.length;i++){
			sum = sum + matrix[i][i];
		}
		return sum;
	}
	public void tranposeMatrix(int[][] matrix){
		for(int i = 0; i < matrix.length; i++){
			for(int j = 0; j< matrix[i].length; j++){
				System.out.print(matrix[j][i]+" ");
			}
			System.out.println();
		}
	}
	public static void main(String args[] ){
		int[][] matrix = {{5,4,3},{4,5,6},{2,1,7}}; 
		Armstrong arm = new Armstrong();
		System.out.println(arm.isArmstrong(548834));
		System.out.println(arm.sumOfDiagonal(matrix));
		arm.tranposeMatrix(matrix);
	}
}
//Armstrong numbers: 371, 153, 407, 370, 634, 8208, 9474,54748, 92727, 93084,548834  